component: CapabilityServerDiagnostics
namespace: zoox::swopdash::server
faults:
  - id: 1
    name: GetCapabilitySpecServiceNotAvailable
    severity: ERROR
    description: GetCapabilitySpec service is not available
    triggers_nogo: true
  - id: 2
    name: GetCapabilitySpecsServiceNotAvailable
    severity: ERROR
    description: GetCapabilitySpecs service is not available
    triggers_nogo: true
  - id: 3
    name: GetInterfacesServiceNotAvailable
    severity: ERROR
    description: GetInterfaces service is not available
    triggers_nogo: true
  - id: 4
    name: GetProvidersServiceNotAvailable
    severity: ERROR
    description: GetProviders service is not available
    triggers_nogo: true
  - id: 5
    name: GetRunningCapabilitiesServiceNotAvailable
    severity: ERROR
    description: GetRunningCapabilities service is not available
    triggers_nogo: true
  - id: 6
    name: StartCapabilityServiceNotAvailable
    severity: ERROR
    description: StartCapability service is not available
    triggers_nogo: true
  - id: 7
    name: StopCapabilityServiceNotAvailable
    severity: ERROR
    description: StopCapability service is not available
    triggers_nogo: true
